### Enumeration

# EBookContacts BookClientViewFlags

since: 3.4

#### Declaration

    flags EBookContacts.BookClientViewFlags

#### Description [src]

Flags that control the behaviour of an `EBookClientView`.

Available since: 3.4

#### Members

`E_BOOK_CLIENT_VIEW_FLAGS_NONE`

  Symbolic value for no flags.

  - Value: `0`
  - Available since: 3.4
`E_BOOK_CLIENT_VIEW_FLAGS_NOTIFY_INITIAL`

  If this flag is set then all contacts matching the view’s query will be sent as notifications when starting the view, otherwise only future changes will be reported. The default for an `EBookClientView` is `TRUE`.

  - Value: `1`
  - Available since: 3.4
`E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`

  Rather than receiving contact changes one-by-one, be notified only by “content-changed” signal and query contacts by ranges. See `e_book_client_view_set_sort_fields_sync()` for more information. The default is `FALSE`. Since: 3.50.

  - Value: `2`
  - Available since: 3.4